Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.validation
Class ValidationServiceProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.validation.ValidationServiceProvider

All Implemented Interfaces:
  IValidationServiceProvider

    public class ValidationServiceProvider

extends Object
implements IValidationServiceProvider

Validation service provider.

Author:
  emueller, Tobias Verhoeven

Constructor Summary
`ValidationServiceProvider()` Constructor.

Method Summary
`void` | `deleteValidationService(Object key)` Deletes the validation service for the given object.
`IValidationService` | `getValidationService(Object validationServiceObject)` Returns the validation service for the given object key. If no such validation service does yet exist, it will be created

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationServiceProvider

    public ValidationServiceProvider()

  Constructor.

Method Detail

### getValidationService

    public IValidationService getValidationService(Object validationServiceObject)

  Returns the validation service for the given object key.
  If no such validation service does yet exist, it will be created

  Specified by:
    `getValidationService` in interface `IValidationServiceProvider`
  Parameters:
    `validationServiceObject` - the object for which to return a validation service
  Returns:
    the validation service instance

### deleteValidationService

    public void deleteValidationService(Object key)

  Deletes the validation service for the given object.

  Specified by:
    `deleteValidationService` in interface `IValidationServiceProvider`
  Parameters:
    `key` - the object for which to delete the validation service

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.